# isCampaignAvailable

{% tabs %}
{% tab title="Swift" %}

```swift
import NamiApple

// Returns true if a default campaign (one without a label) is available on the device
NamiCampaignManager.isCampaignAvailable()

// Returns true if a campaign matching the specified label is available on the device
NamiCampaignManager.isCampaignAvailable("a_label")
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
// Returns true if a default campaign (one without a label) is available on the device
NamiCampaignManager.isCampaignAvailable()

// Returns true if a campaign matching the specified label is available on the device
NamiCampaignManager.isCampaignAvailable("a_label")
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:nami_flutter/campaign/nami_campaign.dart';
import 'package:nami_flutter/campaign/nami_campaign_manager.dart';

// Check if a unlabeled campaign is available on device
bool available = await NamiCampaignManager.isCampaignAvailable();

// Check if a labeled campaign is available on device
bool available = await NamiCampaignManager.isCampaignAvailable(label: "a_label");
```

{% endtab %}

{% tab title="React Native" %}

```jsx
import {NamiCampaignManager, NamiCampaign} from 'react-native-nami-sdk';

const isCampaignAvailable = await NamiCampaignManager.isCampaignAvailable(
  label,
);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicampaignmanager/iscampaignavailable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
